# $Revision: 1.56 $, $Date: 2010/04/12 19:29:26 $
Summary:	LDAP Module for Python
Summary(pl.UTF-8):	Moduł LDAP dla Pythona
Name:		python-ldap
Version:	2.3.11
Release:	2
Epoch:		1
License:	Public Domain
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/python-ldap/%{name}-%{version}.tar.gz
# Source0-md5:	d23f95d497fe180be4ffc90a7f9b42ed
Patch0:		%{name}-sasl2.patch
URL:		http://python-ldap.sourceforge.net/
BuildRequires:	cyrus-sasl >= 2.1.0
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Provides:	ldapmodule
Obsoletes:	ldapmodule
Obsoletes:	python-ldapmodule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides access to the LDAP (C language) library.

%description -l pl.UTF-8
Moduł ten umożliwia dostęp do bibliotek LDAP.

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/ldap
%{py_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ldap.spec,v $
Revision 1.56  2010/04/12 19:29:26  arekm
- release 2

Revision 1.55  2010/02/28 15:23:16  wiget
- 2.3.11

Revision 1.54  2010/02/24 11:51:23  pawelz
- up to 2.3.10

Revision 1.53  2009/11/26 21:55:19  sparky
- BR: python-modules, rpm-pythonprov
- sorted headers

Revision 1.52  2009/05/01 17:57:50  areq
- 2.3.8

Revision 1.51  2009/04/12 18:32:55  areq
- 2.3.7

Revision 1.50  2008/10/03 17:52:45  arekm
- release 2

Revision 1.49  2008/09/07 15:11:52  adamg
- updated to 2.3.5

Revision 1.48  2008-03-31 19:27:26  areq
- 2.3.4

Revision 1.47  2007-11-05 11:43:04  baggins
- rel 1

Revision 1.46  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.45  2007/07/26 20:51:31  twittner
- up to 2.3.1, not tested

Revision 1.44  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.43  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.42  2007/01/02 00:17:52  arekm
- up to 2.2.1

Revision 1.41  2006/08/07 12:21:24  wiget
- %%files fix, release 2

Revision 1.40  2006/08/07 12:16:19  wiget
- updated to 2.2.0

Revision 1.39  2006/01/17 15:42:02  baggins
- release 2
- BR openldap 2.3

Revision 1.38  2005/06/09 16:31:31  saq
- up to 2.0.7

Revision 1.37  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.36  2004/12/25 14:50:28  saq
- release 2 for rebuild with python 2.4

Revision 1.35  2004/12/04 09:42:28  paszczus
- updated to 2.0.6
- dropped Source0-size

Revision 1.34  2004/10/06 21:03:38  paszczus
- updated to 2.0.3

Revision 1.33  2004/07/29 05:05:11  zboczuch
- version 2.0.2

Revision 1.32  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.31  2004/06/29 15:13:02  zboczuch
- version 2.0.1
- dl.sf.net seems to be down
- BR: openldap-devel >= 2.1.3 (due to INSTALL file)

Revision 1.30  2004/05/19 14:15:29  zboczuch
- epoch 1 (cause 2.0.0pre20 > 2.0.0, thanks qboosh!)

Revision 1.29  2004/05/19 13:25:32  zboczuch
- version 2.0.0

Revision 1.28  2004/04/14 08:39:12  adamg
- release 2 to rebuild with openldap-2.2.8-2

Revision 1.27  2004/03/26 20:31:55  arekm
- updated to 2.0.0pre20

Revision 1.26  2003/12/10 13:25:04  wrobell
- ver. 2.0.0pre18

Revision 1.25  2003/12/01 23:51:17  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.24  2003/11/23 13:01:14  matkor
- Release 2 for Ac and to reload df.

Revision 1.23  2003/11/13 11:05:32  wrobell
- ver. 2.0.0pre15

Revision 1.22  2003/06/02 21:01:57  adamg
- updated to 2.0.0pre13
- removed obsoleted python-config.patch

Revision 1.21  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.18  2003/01/17 09:22:35  jajcus
- SSL and SASL support endabled

Revision 1.17  2003/01/16 13:52:45  jajcus
- Version: 2.0.0pre06
- %%install and %%files rearranged, so rpm doesn't complain about unpackaged
  files
- missing schema modules added

Revision 1.16  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.15  2002/04/13 17:42:04  kloczek
- rebuild against python 2.2.1.

Revision 1.14  2002/04/11 14:00:30  wrobell
- rel. 3, stb

Revision 1.13  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.12  2002/03/18 07:03:42  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.11  2002/03/01 16:45:02  wrobell
- ver. 2.0.0pre04
- stb.

Revision 1.10  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/04 03:11:23  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.7  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/24 01:38:47  kloczek
- cosmetics.

Revision 1.5  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.4  2001/11/11 19:13:31  wrobell
- fixed requirements

Revision 1.3  2001/11/11 19:03:01  wrobell
- fixed build requirements
- use standard python macros

Revision 1.2  2001/10/21 15:21:48  jajcus
- UFN search API removed (not supported by OpenLDAP any more)

Revision 1.1  2001/10/21 14:51:45  jajcus
- Version: 1.10alpha3 (NFY)
- Make it compile with OpenLDAP 2.x

Revision 1.6  2001/09/09 18:33:06  kloczek
- regenerate ac files but still not builds correctly.

Revision 1.5  2001/09/08 19:42:56  kloczek
- release 3: spec adapterized.

Revision 1.4  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/26 23:19:41  kloczek
- cosmetics,

Revision 1.1  2000/05/26 14:41:28  wiget
- initial revision
- rewroten for PLD

Based on spec by <mz@webideal.de>.
